"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb420>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb560>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb4c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb600>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb6a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb740>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb7e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb880>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb920>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eb9c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8eba60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8ebb00>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8ebba0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8ebc40>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8ebce0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8ebd80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8ebe20>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8ebec0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c8ebf60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940040>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9400e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940180>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940220>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9402c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940360>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940400>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9404a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940540>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9405e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940680>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940720>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9407c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940860>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940900>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9409a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940a40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940ae0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940b80>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940c20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940cc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940d60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940e00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940ea0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940f40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c940fe0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941080>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941120>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9411c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941260>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941300>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9413a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941440>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9414e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941580>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941620>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9416c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941760>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941800>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9418a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9419e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941a80>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941b20>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941bc0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941c60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941d00>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941da0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941e40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941ee0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c941f80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942020>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9420c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942160>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942200>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9422a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942340>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9423e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942480>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942520>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942660>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9425c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942700>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9427a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c942840>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff8c9428e0>)]
name: str = 'fr_HOCCN'
